#!/usr/bin/env bash
SCHEME=$1
TEMPLATE=$2

if [ -z "$MO_PATH" ]; then
	MO_PATH="$(dirname "$(readlink -f "${BASH_SOURCE[0]}")")/mo/mo"
fi

source $MO_PATH

rgb_r() {
	printf "$((0x${MO_FUNCTION_ARGS[0]:0:2}))"
}

rgb_g() {
	printf "$((0x${MO_FUNCTION_ARGS[0]:2:2}))"
}

rgb_b() {
	printf "$((0x${MO_FUNCTION_ARGS[0]:4:4}))"
}

set -a # All variables after this will be exported
source $SCHEME
mo "$TEMPLATE"
